Next Commerce
Customers

customer.redacted

Triggers when a customer is redacted.

Request Body

application/json

api_version?string

API Version of the object data schema.

data?
event_id?string

Unique id associated with this webhook event.

Formatuuid
event_type?string

Webhook event type of the current event.

object?string

Object data type.

webhook?

Response Body

Example Requests

POST/customer.redacted

{
  "api_version": "unstable",
  "data": {
    "email": "string",
    "id": 0,
    "orders": [
      0
    ],
    "phone_number": "string",
    "subscriptions": [
      0
    ]
  },
  "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
  "event_type": "customer.redacted",
  "object": "customer",
  "webhook": {
    "events": [
      "customer.redacted"
    ],
    "id": 1,
    "store": "example",
    "target": "https://example.com/webhook/"
  }
}